package easydo.technology.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

@Configuration
@ConfigurationProperties(prefix = "iot.device")
@Getter
@Setter
public class MapConfig {

    /**
     * data.mapConfig
     * 这里map名需要和application.properties中的参数一致
     */
    private Map<Integer, String> dust = new HashMap<>();
    private Map<Integer, String> guardrail = new HashMap<>();
    private Map<Integer, String> smokeMonitor = new HashMap<>();
    private Map<Integer, String> towerCrane = new HashMap<>();
    private Map<Integer, String> standardCuringRoom = new HashMap<>();
    private Map<Integer, String> pmStandardCuringRoom = new HashMap<>();
    private Map<Integer, String> nut = new HashMap<>();
    private Map<Integer, String> pmWaterElectricBox = new HashMap<>();
    private Map<Integer, String> pmDistributionBox = new HashMap<>();
    private Map<Integer, String> pmCarRinse = new HashMap<>();
    private Map<Integer, String> pmAIRecognition = new HashMap<>();
    private Map<Integer, String> pmRoundGuard = new HashMap<>();
    private Map<Integer, String> pmSmokeMonitor = new HashMap<>();

}
